# std::swap(std::tuple)

From cppreference.com
< cpp‎ | utility‎ | tuple

template< class... Types > void swap( tuple<Types...>& lhs, tuple<Types...>& rhs ) noexcept(/* see below */); |  | (since C++11) (until C++20)
template< class... Types > constexpr void swap( tuple<Types...>& lhs, tuple<Types...>& rhs ) noexcept(/* see below */); |  | (since C++20)

Swaps the contents of `lhs` and `rhs`. Equivalent to lhs.swap(rhs).

This function does not participate in overload resolution unless std::is_swappable_v <Ti> is true for all i from 0 to `sizeof...(Types)`. | (since C++17)

### Parameters

lhs, rhs | - | tuples whose contents to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept(noexcept(lhs.swap(rhs)))

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/tuple/swap2&oldid=107583"